Changeset 121649


Ignore:
Timestamp:
Jul 3, 2014, 1:31:09 PM (5 years ago)
Author:
mojca@…
Message:

pythia: g++-4.2 on 10.6 doesn't support -stdlib (#44145)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/science/pythia/Portfile

    r121647 r121649  
    3838                    --with-zlib=${prefix}/lib
    3939
    40 build.args          CC=${configure.cc} \
    41                     CXX="${configure.cxx} -stdlib=${configure.cxx_stdlib}"
     40# g++-4.2 on 10.6 doesn't know about -stdlib (#44145)
     41# build.args        CC=${configure.cc} CXX="${configure.cxx} -stdlib=${configure.cxx_stdlib}"
     42pre-configure {
     43    if { ${configure.cxx_stdlib} eq "libc++" } {
     44        build.args  CC=${configure.cc} CXX="${configure.cxx} -stdlib=${configure.cxx_stdlib}"
     45    } else {
     46        build.args  CC=${configure.cc} CXX=${configure.cxx}
     47    }
     48}
    4249
    4350post-build {
Note: See TracChangeset for help on using the changeset viewer.